/form/:id/confirmation

Add a new confirmation email to the specified form

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Add a new confirmation email to the specified form

POST /api/v2/form/12345/confirmation.json HTTP/1.1
Host: www.formstack.com
Authorization: Bearer [[app:oauth_token]]
Accept: application/json
Content-Type: application/json

to_field=12345&sender=user%40example.com&subject=Example&message=Example
curl -X POST -i -H "Accept: application/json" -H "Content-Type: application/json" -H "Authorization: Bearer [[app:oauth_token]]" -d "to_field=12345&sender=user%40example.com&subject=Example&message=Example" https://www.formstack.com/api/v2/form/12345/confirmation.json

Field Logic

See Field Logic for more information about the logic property.

Path Params
int32
required

Form ID

Body Params
string

Name of the confirmation email

int32
required

Email field (id) on form to send email to

string
required

Who the email is from

string
required

The subject of the email

string
required

The email message in HTML

string

Delay option (+1 day, + 1 hour, 12/23/2012, etc)

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json